Delete Label
curl --request DELETE \
--url https://{projectID}.texterchat.com/server/api/v2/labels/{labelId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{projectID}.texterchat.com/server/api/v2/labels/{labelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{projectID}.texterchat.com/server/api/v2/labels/{labelId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)"OK"{
"error": "Label high_priority not found"
}Labels
Delete Label
Permanently delete a label from Texter.
DELETE
https://{projectID}.texterchat.com/server/api/v2
/
labels
/
{labelId}
Delete Label
curl --request DELETE \
--url https://{projectID}.texterchat.com/server/api/v2/labels/{labelId} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{projectID}.texterchat.com/server/api/v2/labels/{labelId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{projectID}.texterchat.com/server/api/v2/labels/{labelId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)"OK"{
"error": "Label high_priority not found"
}Required token scopes:
Manage labelsהרשאות
API token generated in Texter: gear icon → Developers → API Tokens. When creating a token, assign it the scopes required by the endpoints you plan to call - each endpoint lists its required scopes.
פרמטרי נתיב
The unique identifier of the label. You can retrieve all existing labels using the List All Labels endpoint
תגובה
Label deleted. Body is the plain text OK